using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;

public class BlockObjectClass : MonoBehaviour
{
    public float InhalePeriod { get; private set; }
    public float ExhalePeriod { get; private set; }
    public float MaxRuntime { get; private set; }

    TMP_InputField inhalePeriodInput;
    TMP_InputField exhalePeriodInput;
    TMP_InputField runtimeInput;

    void Awake()
    {
        string name;
        GameObject go;
        Transform[] transforms = this.GetComponentsInChildren<Transform>();

        foreach (var transform in transforms)
        {
            go = transform.gameObject;
            name = go.name;
            if (name == "Inhale")
            {
                inhalePeriodInput = go.GetComponent<TMP_InputField>();
                SetInhalePeriod();
            }
            else if (name == "Exhale")
            {
                exhalePeriodInput = go.GetComponent<TMP_InputField>();
                SetExhalePeriod();
            }
            else if (name == "Runtime")
            {
                runtimeInput = go.GetComponent<TMP_InputField>();
                SetRuntime();
            }
        }
    }

    // Start is called before the first frame update
    void Start()
    {

    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public void SetInhalePeriod()
    {
        InhalePeriod = (float)Convert.ToDouble(inhalePeriodInput.text);
    }
    public void SetExhalePeriod()
    {
        ExhalePeriod = (float)Convert.ToDouble(exhalePeriodInput.text);
    }
    public void SetRuntime()
    {
        MaxRuntime = (float)Convert.ToDouble(runtimeInput.text)*60;
    }
}
